Skip to content

Get Changes Digest

GET
/api/canvas/{deal_id}/summary/changes
curl --request GET \
--url 'https://example.com/api/canvas/example/summary/changes?since_hours=24' \
--header 'Authorization: Bearer <token>'

Get an AI-generated summary of recent changes to the deal memo.

Args: since_hours: How many hours to look back (1-168, default 24).

deal_id
required
Deal Id
string
since_hours
Since Hours
integer
default: 24 >= 1 <= 168

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}